Summary:	      A free open source WYSIWYG ebook editor
Summary(de):	  Ein WYSIWYG Ebook-Editor
Name:		      sigil
Version:	      1.9.30
Release:	      %mkrel 1
Url:		      http://code.google.com/p/sigil/
Source0:	      https://github.com/Sigil-Ebook/Sigil/releases/download/%{version}/Sigil-%{version}.tar.xz
Source1:          sigil
License:	      GPLv3 and CC-BY-SA
Group:		      File tools
BuildRequires:	cmake
BuildRequires:  ninja
BuildRequires:	lib64qt5core-devel
BuildRequires:	lib64qt5gui-devel
BuildRequires:	lib64qt5network-devel
BuildRequires:	lib64qt5printsupport-devel
BuildRequires:	lib64qt5concurrent-devel
BuildRequires:	lib64qt5webkitwidgets-devel
BuildRequires:	lib64qt5webkit-devel
BuildRequires:	lib64qt5widgets-devel
BuildRequires:	lib64qt5xml-devel
BuildRequires:	lib64qt5widgets-devel
BuildRequires:	lib64boost-devel
BuildRequires:	lib64hunspell-devel
BuildRequires:	lib64qt5svg-devel
BuildRequires:	lib64qt5help-devel
BuildRequires:	lib64qt5xmlpatterns-devel
BuildRequires:	lib64qt5dbus-devel
BuildRequires:	lib64qt5multimedia-devel
BuildRequires:	lib64qt5multimediawidgets-devel
BuildRequires:	lib64qt5sensors-devel
BuildRequires:	qtmultimedia5
BuildRequires:	qttools5
BuildRequires:	icu69-data
BuildRequires:	lib64xerces-c-devel >= 3.1
BuildRequires:	pcre-devel >= 8.31
BuildRequires:	zlib-devel
BuildRequires:	flightcrew-devel

Requires:       python3
Requires:       python3-lxml
Requires:       python3-gobject3
Requires:       python3-cairo
Requires:       qtwebengine5

%description
Sigil is a multi-platform WYSIWYG ebook editor. It is designed to edit books in ePub format.

Now what does it have to offer...

    * Free and open source software under GPLv3
    * Multi-platform: runs on Windows, Linux and Mac
    * Full Unicode support: everything you see in Sigil is in UTF-16
    * Full EPUB spec support
    * WYSIWYG editing
    * Multiple Views: Book View, Code View and Split View
    * Metadata editor with full support for all possible metadata entries (more than 200) with full descriptions for each
    * Table Of Contents editor
    * Multi-level TOC support
    * Book View fully supports the display of any XHTML document possible under the OPS spec
    * SVG support
    * Basic XPGT support
    * Advanced automatic conversion of all imported documents to Unicode
    * Currently imports TXT, HTML and EPUB files; more will be added with time
    * Currently exports EPUB and SGF (Sigil native format); more will be added with time
    * Embedded HTML Tidy; all imported documents are thoroughly cleaned; changing views cleans the document so no matter how much you screw up your code, it will fix it (usually)
    * An actually usable user interface
    * Native C++ application
    * Bugs :)
    * And a lot more... 


%description -l de
Sigil ist ein plattformunabhängiger WYSIWYG Ebook-Editor, für das Bearbeiten von Büchern im ePub-Format.

Folgendes bietet Sigil dem Benutzer
	* Frei und OpenSource Software unter den Bedingungen der GPLv3
	* Plattformunabhängigkeit: es läuft unter Windows, Linux und Mac
	* Volle Unicode-Unterstützung: alles was Sie in Sigil sehe ist in UTF-16 codiert
	* Vollständige Unterstützung der EPUB Spezifikation
	* WYSIWYG Bearbeitung
	* Mehrere Ansichten: Buchansicht, Codeansicht und geteilte Ansicht
	* Metadateneditor mit Unterstützung für alle möglichen Metadateneinträge (mehr als 200)
	  mit vollständiger Beschreibung für jeden einzelnen
	* Editor für das Inhaltsverzeichnis
	* Unterstützung von mehreren Ebenen für das Inhaltsverzeichnis
	* Die Buchansicht unterstütz die Anzeige von jedem XHTML-Dokument
	* SVG Unterstützung
	* Grundlegende Unterstützung von XPGT
	* Fortgeschrittene automatische Konvertierung von allen importierten Dokumenten in die
	  Unicode Zeichenkodierung
	* Derzeitig werden TXT, HTML und EPUB Dateien importiert, weiter werden mit der Zeit folgen
	* Derzeitig werden Dateien in das EPUB und SGF (Sigil native format) Format exportiert.
          Weitere werden folgen.
	* Eingebettetes HTML Tidy: alle importierten Dateien werden gründlich gereinigt. Das Wechseln der
	  Ansicht säubert das Dokument, also machen Sie sich keine Sorgen das der Dokumentcode aufquillt,
	  HTML Tidy wird Ihn (wahrscheinlich) säubern.
	* Eine aktuelle und benutzbare Benutzerschnittstelle
	* reine C++ Anwendung
	* kleine Fehler :)
	* und eine Menge mehr


%prep
%setup -qn Sigil-%{version}


%cmake_qt5 -GNinja \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DUSE_SYSTEM_LIBS:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=OFF
	
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

find %{buildroot} -name 'opf_newparser.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;
find %{buildroot} -name 'sanitycheck.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;

# install icons for the .desktop file
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -m755 -D %SOURCE1 %buildroot/%{_bindir}/%{name}

# create a .desktop file:
mkdir -p %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Sigil
Comment=WYSIWYG ebook editor
Comment[de]=WYSIWYG Ebook-Editor
Icon=sigil
Exec=sigil %u
MimeType=application/epub+zip;
Categories=X-MandrivaLinux-Office-Publishing;
EOF


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png

%changelog
* Thu Mar 16 2023 tex - 1.9.30-1pclos2023
- new version

* Mon Oct 03 2022 tex - 1.9.20-2pclos2022
- rebuild against updates

* Sat Sep 03 2022 tex - 1.9.20-1pclos2022
- new version

* Sun Aug 21 2022 tex - 1.9.10-1pclos2022
- new version

* Sun Aug 21 2022 tex - 1.9.1-2pclos2022
- rebuild against updates

* Sat Mar 05 2022 tex - 1.9.1-1pclos2022
- new version

* Thu Feb 24 2022 tex - 1.9.0-1pclos2022
- new version

* Sat Sep 04 2021 tex - 1.7.0-1pclos2021
- new version

* Mon May 31 2021 tex - 1.6.0-1pclos2021
- new version

* Fri Mar 26 2021 tex - 1.5.1-1pclos2021
- new version

* Fri Mar 26 2021 tex - 1.5.0-1pclos2021
- new version

* Wed Dec 16 2020 tex - 1.4.3-1pclos2021
- new version

* Wed Nov 18 2020 tex - 1.4.1-1pclos2020
- new version

* Wed Nov 18 2020 tex - 1.4.0-1pclos2020
- new version

* Tue Jul 28 2020 tex - 1.3.0-2pclos2020
- fix their broken launch script

* Wed Jul 22 2020 tex - 1.3.0-1pclos2020
- new version

* Wed Apr 08 2020 tex - 1.2.1-1pclos2020
- new version

* Sat Dec 21 2019 tex - 1.0.0-1pclos2020
- new version

* Sun Oct 13 2019 tex - 0.9.18-2pclos2019
- req qtwebengine5

* Thu Sep 05 2019 tex - 0.9.18-1pclos2019
- new version

* Sun Aug 11 2019 tex - 0.9.17-1pclos2019
- new version

* Tue Jul 23 2019 tex - 0.9.16-1pclos2019
- new version

* Tue Jul 02 2019 tex - 0.9.15-1pclos2019
- new version

* Mon Jul 01 2019 tex - 0.9.14-1pclos2019
- new version

* Fri Mar 22 2019 tex - 0.9.13-1pclos2019
- new version

* Sat Mar 02 2019 tex - 0.9.12-2pclos2019
- rebuild against updates

* Sat Feb 23 2019 tex - 0.9.12-1pclos2019
- new version

* Sun Feb 17 2019 tex 0.9.11-1pclos2019
- new version

